Sat, 16 Jan 2010

i386/amd64 d-i images for Lenny, Linux kernel version 2.6.32

I happily release lenny-custom-1230. Have a nice new year day.

  • Debian 5.0.3
  • Linux kernel 2.6.32
  • ext4 support
  • firmware support

[Update 16th January] Update ISO file (0116) with firmware files firmware-nonfree 0.22 based. I hope some devices such as bnx2, bnx2x, and tg3 work again now.

Comments

Thanks :).

Posted by V. at 2009/12/31 (Thu) 17:27:39

thanks!!

Posted by xxoun at 2009/12/31 (Thu) 18:54:41

This work is really appreciated and very useful for hardware newer than lenny, or some eth/wifi.

Knowing that you are consistent and when I need this type of solutions, I always find a updated version, is something great.

Thank you very much.

Posted by poisonbit at 2010/01/01 (Fri) 02:01:54

Thank you! ^^

Posted by ojcar at 2010/01/03 (Sun) 08:36:36

Solved my problems i had with with e1000e networkdriver.

Thanks a lot, good job.

Posted by Werner at 2010/01/05 (Tue) 22:44:09

I used the amd64 version and the sources.list during network installation is squeeze and not lenny. I canceled the package download (kill aptitude process), edited the sources.list and restarted the package installation from d-i.

Posted by No竪l K旦the at 2010/01/06 (Wed) 21:55:58

Noel,
"network installation is squeeze and not lenny" sounds me you use a wrong mirror.
I don't meet such a problem on ftp.jp.debian.org.

Posted by kmuto at 2010/01/06 (Wed) 23:48:44

Thank you very much for your work!

Posted by joao at 2010/01/08 (Fri) 12:24:18

Great service! Many thanks.

Posted by Louwrentius at 2010/01/10 (Sun) 02:09:50

Thanks for doing this! A couple of issues though...

1. There still is no support for bnx2 broadcom NICs (Dell R410, HP DL380 G6, ...) because the firmware package doesn't correspond to the updated kernel. If I respin using http://ftp.is.debian.org/debian/pool/non-free/f/firmware-nonfree/firmware-bnx2_0.22_all.deb then the NICs work.

2. A very specific thing to me probably, is that there is no drbd8-modules-2.6.32... package available

thanks again!

Posted by P叩draig Brady at 2010/01/12 (Tue) 02:25:09

Kenshi,

Everytime i need to install a new pc, once every 2 year or so, i find your images VERY handy :)
Thanks for all your efforts so far.

Posted by Tim Laureyns at 2010/01/13 (Wed) 04:43:54

bnx2 and bnx2x firmware

Hi Kenshi,

Thank you again for producing and providing.

Expanding on P叩draig Brady's first issue above, this was reported in the Debian Bug Tracking System as bug #560065. Updated firmware is also required by the bnx2x driver in Linux 2.6.32.

Firmware for the bnx2 and bnx2x drivers (and others) can be acquired from http://cdimage.debian.org/cdimage/unofficial/non-free/firmware/unstable/current/ and loaded by the installer from removable media, see section 6.4 of the Installation Guide for further details.

Posted by Geoff Simmons at 2010/01/14 (Thu) 12:01:05

live cd

Hi kmuto,

Im an "old consumer" yours...i came here today to ask to you about the possibility you made a live-cd from your images...

I already tried burn a lot of 64 bits images and i cant (kubuntu, debian-live, ubuntu...) always have an kernel image error...

With yours images, i NEVER had problem, instead, it always saves my ass when im gonna install debian in some machine...

Could you build an live-cd for us?

Posted by andr辿 at 2010/01/15 (Fri) 03:01:17

Thanks You

K
Thank you so much for this. You're the man!

Posted by rusi at 2010/01/18 (Mon) 03:03:02

source and headers ?

I need to install source and headers for the officiel nvidia drivers.
but i don't kjnow the version of the kernel you used
2.6.32.1 , 2.6.32.2 ?

how can i do that ?
download kernel and install it in /usr/src ?

Posted by Blackhood at 2010/01/19 (Tue) 02:06:16

Blackhood,

You can find linux-headers-* file in pool/main directory.

FAQ:
Where is linux-headers package?
You can take it via APT after adding custom-CD to /etc/apt/sources.list by
"apt-cdrom add". You can see it in pool/main directory also.

Posted by kmuto at 2010/01/19 (Tue) 16:28:30

Thank you very much!

Posted by Jonas at 2010/01/25 (Mon) 06:18:04

Where is the linux-source-2.6.32-trunk-amd64 package, i need to recompile kernel with several options to optimize an asterisk box.

must i download the source from kernel.org and compile from there?
what happens then with firmwares?

Posted by David Calvache at 2010/02/04 (Thu) 22:46:58

David,

linux-source package is in Debian unstable repository. My CD has only linux-image and headers.

Posted by kmuto at 2010/02/04 (Thu) 22:53:06

Where is the linux-source-2.6.32-trunk-amd64 package, i need to recompile kernel with several options to optimize an asterisk box.

must i download the source from kernel.org and compile from there?
what happens then with firmwares?

Posted by David Calvache at 2010/02/05 (Fri) 01:12:43

ty
boss

Posted by David Calvache at 2010/02/05 (Fri) 01:14:29

Can you add to this version of the kernel megaraid_sas modules. I have a dell server R410 with BCM5716 and PERC H700 controller.
Installer does not detect the drives connected to the controller.
thank you in advance, great job

Posted by calixto at 2010/03/03 (Wed) 23:50:28

Does this image have the new Hyper-V drivers build by default? Having to support 2008 Hyper-V so this would be great....

Posted by Robert at 2010/03/06 (Sat) 02:10:51

Dude, thanks a lot, works like a charm!

Posted by Robin at 2010/04/02 (Fri) 07:37:17

Thanks a lot, your work saves us mere mortals a lot of work and trouble. Thanks thanks thanks.

Posted by kilian at 2010/04/14 (Wed) 04:54:22

Hello,

I have some troubles with net install in 64 bits :

During the install, there is this error :

"No kernel modules were found. This probably is due to a mismatch between the kernel used by this version of the installer and the kernel version available in the archive. If you're installing from a mirror, you can work around this problem by choosing to install a different version of Ubuntu. The install will probably fail if you continue without kernel modules. Continue without loading kernel modules?"

If i said yes :
It loads components

Next :

No disk drive was detected. If you know the name of the driver needed by your disk drive, you can select it from the list.


And it failed.

I tried with 2.6.28, 2.6.30 and 2.6.32, I always have this error.

In the official (2.6.26) I don't have this error.

Posted by little jo at 2010/04/15 (Thu) 23:29:34

Wonderful. Thank you.

My DELL OptiPlex 780 is thanking.

The official Lenny did not detect the e1000e NIC and the intel graphics card.

Did a great job.

Posted by J辿ferson at 2010/04/16 (Fri) 08:25:22

i was able to install a poweredge R410 with your custom cd. bnx2 is ok with it. thank you very much

Posted by le h辿naff 辿ric at 2010/04/22 (Thu) 03:29:13

thank you

Hi, thank you for creating these images.
Does someone know how the support of H200/H700 Raid controllers are. I did read the where some problems with the drivers which are fixed in kernel 2.6.33. ( just 1 week to go for my news R310 ) ...
looking ahead. i've been using your images sinse debian sarge, and they never failt me. thank you, thank you..
A happy dutch guy.

Posted by ThCTLo at 2010/04/23 (Fri) 15:44:53

Has anyone checked to see if this works with Dell's latest controllers (H200/H700)?

I'm having real bother getting the MPTSAS/MEGARAID drivers updated...

Posted by WB at 2010/06/15 (Tue) 08:12:05

Succesfull install with dell H700 on R710

Thank you very much, the install of lenny amd64 on a dell R710
with raid 1 and raid 5 on H700 went without an ich.

Very cool
An happy debian user
Andr辿

Posted by andr辿 at 2010/06/16 (Wed) 01:24:53

this kernel contains buggy megasas driver, please apply this fix:

https://bugzilla.kernel.org/attachment.cgi?id=24890

see references at: http://kerneltrap.org/mailarchive/linux-scsi/2010/2/4/6751893

Posted by Eero at 2010/06/17 (Thu) 15:25:58

.. problem mainly exists when using OMSA on 64bit platform..

Posted by Eero at 2010/06/17 (Thu) 15:29:27

Why the hell can't debian deliver actual kernel images in their stable ISO Images? Thanks for 2.6.32 on lenny. This saved me a lot of trouble!

Posted by ecaroh at 2010/06/20 (Sun) 22:51:19

Hello,

I try your netboot lenny on Dell R710 with H200 controller, and the installer don't find drive. Do the H200 use different controller that the H700 (as I see success with this controller) ?

Posted by David at 2010/07/02 (Fri) 17:40:10

Hello,
I've a stupid question. How could I install your images using USB stick? I extracted boot.img.gz to my USB (zcat boot.img.gz > /dev/sdb1) a copied the iso file to root of the USB stick. But I'm unable to continue in install. When the installer tries to find install ISO files it stucked and can't find any. Please, help.

Posted by Vojta at 2010/07/18 (Sun) 16:22:26

Install with disk SAS in RAID 1 don't work

Hi all,

My environnement :

Blade Dell Poweredge M1000e
with lam Poweredge M905 with two disk SAS ( 600Go in RAID 1 )

thanks a lot for the update with the driver of Broadcom Netextreme 2, it work perfectly.

But when i want to create partition for my system it's don't work. I create my Volume Group and my partitions but when i want to create partition, i Have the error

Can't create partition home

Is SAS supported by this custom ISO please ??

Thanks a lot for your answer

Regards

Posted by medhi at 2010/07/21 (Wed) 01:56:06

Thanks, at last my sata controller is detected!

But there seems to be a problem: If I try to create LVM I get lots of errors. is LVM support compiled in?

Posted by Vosa2000 at 2010/07/23 (Fri) 02:06:51

SysOp

LVM seems totaly broken in this installer.

Posted by Peter E at 2010/07/23 (Fri) 23:34:36

LVM

I confirm, LVM does not work. When installer try to format parition like /dev/mapper/vg0-home, it says "partition already used by the system".

Posted by Pierre at 2010/09/29 (Wed) 03:31:52

ServeRaid M1015

any chance to include LSI ServerRaid M1015 driver?
none of the custom versions recognizes it.

This RAID adapter is coming now with the new IBM X3250 M3 and X3550 M3 servers.
Thanks.

Posted by Dmitry Sherman at 2010/10/05 (Tue) 22:09:10

installer with megaraid

Hi Kenshi,

thanks for your work.

Can you provide me some advice ?

I want to install debian Lenny on Dell server PowerEdge 2850.
The driver of raid adapter is megaraid2.
Can you tell me which of your lenny installer is able to detect this RAID adapter ?

I know that the 622.iso installer of Debian etch works well with it.

Thanks in advance.

Posted by Mirekh at 2010/10/31 (Sun) 00:17:06

server focused or?

hi, my best regarts!

this works can be improbed, the 2.6.28 kernels are more usefully for servers that 2.6.29-2.6.33 due the bug id #9554 in kernel.org : https://bugzilla.kernel.org/show_bug.cgi?id=9554

so, if u d-i images are focused on servers, the propers kernels are 2.6.28 and 2.6.34 and above!

i desire and wish to complain in help to provide more work, please could u provide a very detailed personal way how do u doing this work?
i know coul be using the debian packages for debian disk builds, but i personaly prefered u'r opinion!!!!
..note: sorry for my english!

Posted by PICCORO at 2010/11/09 (Tue) 00:25:00

Realtek not found

Hi My Broth... I have very problems with the realtek PCI Express Gigabit modules and Debian Squeeze , RTL8111B , I followed the instructions on this page http://www.jamesonwilliams.com/hardy-r8168 but never worked . . .

Help me please

Posted by Gregory Aular Franco at 2011/01/28 (Fri) 01:00:57

a big thank for the job, i don't know how much times i was save on new hardware install.

Posted by wisedog at 2011/02/02 (Wed) 01:19:41

image with the newest kernel version

Hi, kmuto,

dont you have plans to launch an iso image with the newest kernel image (I.E., 2.6.39 at the moment)??

Posted by andr辿 at 2011/05/24 (Tue) 06:34:28

image with the newest kernel version

Hi, kmuto,

dont you have plans to launch an iso image with the newest kernel image (I.E., 2.6.39 at the moment)??

Posted by andr辿 at 2011/05/24 (Tue) 06:34:52

image with the newest kernel version

Hi, kmuto,

dont you have plans to launch an iso image with the newest kernel image (I.E., 2.6.39 at the moment)??

Posted by andr辿 at 2011/05/24 (Tue) 09:41:07

image with the newest kernel version

Hi, kmuto,

dont you have plans to launch an iso image with the newest kernel image (I.E., 2.6.39 at the moment)??

Posted by andr辿 at 2011/05/25 (Wed) 04:45:19

You don't need to post so many times ;-)

So far, I'm in busy and my build firm machine has been very unstable.
I'll make new machine in this weekend.

I can't promise 'when' at this moment, but I 'will' do to make d-i.bpo
for squeeze again in the future.

Posted by kmuto at 2011/05/26 (Thu) 15:37:13

netboot misctake typo, debian-instal evet install

the boot param in nettboot have a typo, and does'n work, must have debian-installer

Posted by PICCORO Lenz McKAY at 2013/06/01 (Sat) 05:34:40
Write a comment

Message: Ready to post a comment.